package org.wcs.mapper.intf;

import com.baomidou.mybatisplus.extension.service.IService;
import org.wcs.model.po.app.AppStackerInfo;

import java.util.List;

public interface AppStackerInfoService extends IService<AppStackerInfo> {

    List<AppStackerInfo> queryStackerInfoIndistinct(String stackerName);
    List<AppStackerInfo> queryStackerInfoById(Integer stackerId);
    List<AppStackerInfo> queryStackerInfoByStatus(Integer status);
    List<AppStackerInfo> queryAll();
    int insert(AppStackerInfo appStackerInfo); // 插入一条数据
    int update(AppStackerInfo appStackerInfo); // 根据主键更新
}
